#delimit ;
set more off;
set mem 550000;
cap log close;


cd "E:\RA\NLSY\FINAL_FILES\";
log using "Logs\_experienceav_all.log", replace;

**************************************************************************
** This file runs three other do files in order.                        **
**    1. pre78_experience.do  calculates experience measures for years  **
**          before 1979 and saves the data file for future use          **
**    2. experienceav_men.do  Calculates experience measures for men by **
**          week and by age and saves the data file for future use      **
**    3. experienceav_women.do  Does the same for women.                **
**                                                                      **
** Then it calculates statistics on experience                          **
**                                                                      **
**  NOTE:  The definition of full-time work here is 35 or more hours/wk **
**      Christine Neill, Feb 2005,  (christine.neill@utoronto.ca)		**
**************************************************************************;


do "Do\pre78_experience.do";

clear;

do "Do\experienceav_men.do";

clear;

do "Do\experienceav_women.do";

clear;

do "Do\experienceav_stats.do";

log close;



