#delimit ;
set more off;
**************************************************************************
** This file calculates experience measures for years before 1979 and   **
**    saves the data file for future use                                **
**                                                                      **
**  NOTE:  The definition of full-time work here is 35 or more hours/wk **
**************************************************************************;


use "My Statistics\_respondent.dta", clear;


replace wks77 = 0 if wks77<0;
replace wks76=0 if wks76<0;
replace wks75= 0 if wks75<0;

gen pEXP1 = wks77 + wks76 + wks75;

gen FTw77 = 0;
replace FTw77 = wks77 if hrs77>=35;
gen FTw76  = 0;
replace FTw76 = wks76 if hrs76>=35;
gen FTw75 = 0;
replace FTw75 = wks75 if hrs75>=35;
gen PTw77 = wks77 - FTw77;
gen PTw76 = wks76 - FTw76;
gen PTw75 = wks75 - FTw75;
gen zw77 = 0;
replace zw77 = wks77 if wks77 >0 & hrs77<=0;
gen zw76 = 0;
replace zw76 = wks76 if wks76>0 & hrs76<=0;
gen zw75 = 0;
replace zw75 = wks75 if wks75>0 & hrs75<=0;

gen pEXP2 = FTw77 + FTw76 + FTw75;
gen pEXP3 = PTw77 + PTw76 + PTw75;
gen pEXP4 = FTw77 + zw77 + FTw76 + zw76 + FTw75 + zw75;
gen pEXP5 = pEXP3 - zw77 - zw76 - zw75;

gen hrs771 = hrs77;
replace hrs771 = 0 if hrs77<0;
gen hrs761 = hrs75;
replace hrs761 = 0 if hrs75<0;
gen hrs751 = hrs75;
replace hrs751 = 0 if hrs75<0;

gen hrs772 = hrs77;
replace hrs772 = 40 if hrs77<=0 & wks77>0;
gen hrs762 = hrs76;
replace hrs762 = 40 if hrs76<=0 & wks76>0;
gen hrs752 = hrs75;
replace hrs752 = 40 if hrs75<=0 & wks75>0;

gen pEXP6 = wks77*hrs771 + wks76*hrs761 + wks75*hrs751;
gen pEXP7 = wks77*hrs772 + wks76*hrs762 + wks75*hrs752;

gen week = -100;
keep ID SAMP week pEXP*;


save "My Statistics\pre_exp_summ_FT35.dta", replace;

